Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229145 - rsync "wrong write used in receiver" after update
Summary: rsync "wrong write used in receiver" after update
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rsync
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Simo Sorce
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-18 15:35 UTC by Need Real Name
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.6.9-2.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-19 15:36:20 UTC


Attachments (Terms of Use)

Description Need Real Name 2007-02-18 15:35:58 UTC
Just updated to version rsync-2.6.9-1 and now get the following error when running:
     rsync -axXH --partial --stats --delete

Internal error: wrong write used in receiver.
rsync error: protocol incompatibility (code 2) at io.c(1204) [generator=2.6.9]
rsync: connection unexpectedly closed (8 bytes received so far) [sender]
rsync error: error in rsync protocol data stream (code 12) at io.c(453)
[sender=2.6.9]
Internal error: wrong write used in receiver.
rsync error: protocol incompatibility (code 2) at io.c(1204) [generator=2.6.9]
rsync: connection unexpectedly closed (8 bytes received so far) [sender]
rsync error: error in rsync protocol data stream (code 12) at io.c(453)
[sender=2.6.9]


I did not have this problem before with rsync-2.6.8-3.1

Comment 2 Simo Sorce 2007-02-19 00:21:49 UTC
I already downloaded that code this afternoon :)
Expect fixed packages as soon as I can actually test xattrs to make sure this is
really fixed.

Thank you very much for the report.

Comment 3 Simo Sorce 2007-02-19 15:36:20 UTC
Ok, I tested it, and I can confirm the patch fixes the problem.
Pushing new packages.


Note You need to log in before you can comment on or make changes to this bug.